Cgu::Extension::GuileException Class Reference

`#include <extension.h>`

Inheritance diagram for Cgu::Extension::GuileException:

## Public Member Functions

virtual const char * | what () const throw ()
const char * | guile_text () const throw ()
| GuileException (const char *msg)
| ~GuileException () throw ()

## Constructor & Destructor Documentation

## GuileException()

Cgu::Extension::GuileException::GuileException | ( | const char * | msg | ) |

inline

## ~GuileException()

Cgu::Extension::GuileException::~GuileException | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## guile_text()

const char* Cgu::Extension::GuileException::guile_text | ( |  | ) | const
throw | ( |
| ) |  |

inline

## what()

virtual const char* Cgu::Extension::GuileException::what | ( |  | ) | const
throw | ( |
| ) |  |

inlinevirtual

The documentation for this class was generated from the following file:

- extension.h